//
// StreamInfoGet.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct StreamInfoGet: Codable {

    public var frameRate: Int
    public var bitRate: Int
    public var frameWidth: Int
    public var frameHeight: Int
    public var codec: String

    public init(frameRate: Int, bitRate: Int, frameWidth: Int, frameHeight: Int, codec: String) {
        self.frameRate = frameRate
        self.bitRate = bitRate
        self.frameWidth = frameWidth
        self.frameHeight = frameHeight
        self.codec = codec
    }

    public enum CodingKeys: String, CodingKey { 
        case frameRate = "frame_rate"
        case bitRate = "bit_rate"
        case frameWidth = "frame_width"
        case frameHeight = "frame_height"
        case codec
    }

}
